## File Utilities

File Utilities — miscellaneous file-related utility functions.

## Functions

gboolean | xfce_mkdirhier ()

## Includes

    #include <libxfce4util/libxfce4util.h>

## Description

## Functions

### xfce_mkdirhier ()

    gboolean
    xfce_mkdirhier (const gchar *whole_path,
                    gulong mode,
                    GError **error);

Creates the specified directory `whole_path` , but unlike the `mkdir()` function from the standard C library, if any of the parent directories of the `whole_path` do not exists, they are created as well.

If the directory specified by `whole_path` already exists, this function performs no operation and simply returns `TRUE`.

#### Parameters

whole_path | path to the directory to create. |
error | location where to store GError object to, error are returned in the `G_FILE_ERROR` domain. |

#### Returns

`TRUE` on success, else `FALSE`.

Since 4.2

## Types and Values

## See Also

GLib File Utilities